;  OEMScan v1.3 by Jeremy (xehqter)
;
;  OEMScan automates multi manufacture cd's by scanning the bios (0xE0000-0xFFFFF)
;  for a Royalty OEM's SLP  Identifier and copying over the appropriate OEMBIOS files.
;
;
;	[OEM] 	 = SLP String to search for
;	PATH 	    = Location of OEMBIOS files
;  RANGE     = Comma separated list of memory ranges <32bit address>:<size> if no range is specified
;              the default range of 0xE0000 - 0xFFFFF is used
;  MATCHARG  = will replace @@@@ in CMD with its value.
;  CMD       = Script to run
;
; PATH, RANGE, MATCHARG, AND CMD are optional. On a match it can copy the OEMBIOS files
; and not run a script or visa versa, simply give the offending parameter
; an empty value (ex: CMD="").
;
; Example (below) Will copy over the OEMBIOS files in .\Gateway\ but won't run a script on a Gateway
; if the Gateway is in between 0xF32F0-0xF3310 and 0xFE840-0xFE860
; [Gateway]
; PATH=".\Gateway\"
; RANGE="0x000F32F0:20,0x000FE840:20"
; CMD=""
;
; Example (below) Will run notepad and load boot.ini but won't copy over the OEMBIOS files on a Compaq
;
; [Compaq]
; PATH=""
; MATCHARG="c:\boot.ini"
; CMD="%SystemRoot%\notepad.exe @@@@"
;
;
; Tips:
; [_SM_] can be used as an ELSE statement if there is no OEM match.
; Section headers are read sequentially from top to bottom put more restrictive matches on top.
; if you have multiple OEMBIOS sets for the same vendor. IE: Gateway C86378C7 and A04597C6.
; Some ranges from the old set aren't in the new. Use the RANGE parameter for this.

;  For example: Gateway OEMBIOS set A04597C6 contains
;  BIOS=F000,E840,20,Gateway
;  BIOS18=F000,32F0,20,Gateway

; Converting a 16bit Address to a 32bit
; F000:E840 = 16bit address..  20 = size, to convert a 16bit address to a 32bit address
; move the high word F000 over one (becomes 0xF0000) and add the low word giving you 0xFE840
; BIOS18 becomes 0xF32F0.
;
; Range accepts 0xF32F0, F32F0, or 0x000F32F0 as valid addresses




;
;	Dell OEMBIOS Files CRC32 = B6F0EEFD
;	SLP = Dell System,Dell Computer,Dell System,Dell System,Dell Inc
;
